module(...)
--magic editor build
DATA={
	atk_stophit=false,
	cmds={
		[1]={
			args={
				alive_time=1,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_514/Prefabs/514_hit.prefab]],
					preload=true,
				},
				effect_dir_type=[[empty]],
				effect_pos={base_pos=[[vic]],depth=0.675,relative_angle=0,relative_dis=0,},
				excutor=[[vicobjs]],
			},
			func_name=[[StandEffect]],
			start_time=0.425,
		},
		[2]={
			args={
				alive_time=0.25,
				ease_hide_time=0.4,
				ease_show_time=0,
				excutor=[[vicobjs]],
				mat_path=[[Material/effect_Fresnel_red.mat]],
			},
			func_name=[[ActorMaterial]],
			start_time=0.425,
		},
		[3]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=0.95,
		},
		[4]={args={},func_name=[[MagcAnimEnd]],start_time=1.3,},
		[5]={args={},func_name=[[End]],start_time=1.6,},
	},
	group_cmds={},
	magic_anim_end_time=1.3,
	pre_load_res={[1]=[[Effect/Magic/magic_eff_new_514/Prefabs/514_hit.prefab]],},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
